#!/bin/bash
set -e

rm -rfv /usr/share/zigbee-opener/

mkdir -p /usr/share/zigbee-opener/
mkdir -p /var/run/zigbee-opener/

cp -v main.py /usr/share/zigbee-opener/
cp -v settings.py /usr/share/zigbee-opener/
chmod +x /usr/share/zigbee-opener/main.py

cp -f zigbee-opener.service /etc/systemd/system/

python -m venv /usr/share/zigbee-opener/.venv/
source /usr/share/zigbee-opener/.venv/bin/activate
pip install -r requirements.txt

echo ""
echo "Installed into /usr/share/zigbee-opener/"
echo "with service zigbee-opener"
echo ""
echo "Configure in /usr/share/zigbee-opener/settings.py"